<?php
	error_reporting(E_ALL);
	include_once 'bbcodeparser.inc.php';
?>
<html>
<head>
  <title>Owls - content-rendering system</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link rel="shortcut icon" href="favicon.ico" />
  <link rel="stylesheet" type="text/css" href="owls.css.php" />
</head>

<body>
<div id="websiteContainer">
  <a href="/">
  <img src="owls-banner.png" id="banner" />
  </a>

<?php
	include 'nav.inc.php';

	if (!isset($_GET['path'])) {
		$_GET['path'] = '/';
	}
	echo '  <div id="content">'."\n";
	echo "    <h2>". preg_replace('/.*\//', '', $_GET['path']) ."</h2>\n";
	$file = 'data/'. $_GET['path'].'/text';
	if (is_file($file)) {
		$text = file_get_contents($file);
	} else {
		$text = 'file not found';
	}
	echo '    <p>'.bbcode($text, 1, 1).'</p>';
	echo '  </div>';
	echo "\n\n";
?>

</div>

</body>
</html>
